{namespace blog=T3G\AgencyPack\Blog\ViewHelpers}
<f:layout name="Default" />

<f:section name="content">
    <f:if condition="{category}">
        <f:then>
            <h2 class="page-title">{category.title}</h2>
            <div class="taxonomy-description">
                <p>{category.description}</p>
                <f:if condition="{category.content}">
                    <f:cObject typoscriptObjectPath="lib.blog.contentElementRendering">{category.contentElementUidList}</f:cObject>
                </f:if>
            </div>
            <f:render partial="List" arguments="{_all}" />
        </f:then>
        <f:else>
            <h1 class="page-title"><f:translate key="headline.categories" /></h1>
            <ul class="list-inline">
                <f:for each="{categories}" as="category">
                    <li><blog:link.category category="{category}" /></li>
                </f:for>
            </ul>
        </f:else>
    </f:if>
</f:section>

<f:section name="FooterAssets">
    <f:if condition="{settings.comments.disqus._typoScriptNodeValue} === '1'">
        <script id="dsq-count-scr" src="//{settings.comments.disqus.shortname}.disqus.com/count.js" async></script>
    </f:if>
</f:section>
